<?php 
/** 
 * @package RESPONSIVIZER::SOURCES::administrator::components::com_responsivizer
 * @subpackage views
 * @subpackage help
 * @subpackage tmpl
 * @author Joomla! Extensions Store
 * @copyright (C) 2013 - Joomla! Extensions Store
 * @license GNU/GPLv2 http://www.gnu.org/licenses/gpl-2.0.html  
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' ); 
?>
<div>
	<h5>Modules management</h5>
	Making Responsivizer to match universally every Joomla! template available is not easy task and requires advanced management to easy rule disposition of <span class="bold">Joomla! elements</span> on page, known as <span class="bold">modules</span>.
	<br/>
	Using <span class="bold">Modules Manager</span> you have a view of all modules available on your site and how they will be showed in Responsivizer mobile template, moreover you can:
	<ul>
		<li><span class="bold">Publish or unpublish</span> modules</li>
		<li>Check for <span class="bold">mobile available</span> status</li>
		<li>Make a module <span class="bold">available</span> also for mobile</li>
		<li><span class="bold">Exclude modules</span> from mobile template</li>
		<li>Opening <span class="bold">positions associations</span> edit mode</li>
	</ul> 
	With Modules Manager you will be able to <span class="bold">choose exactly what should be included or excluded from mobile, move modules between positions, match desktop positions and do all stuff to have full control on mobile contents.</span>
	<br/>
	<img src="components/com_responsivizer/images/documentation/modulesmanager_view.jpg" alt="template settings"/>
	
	<br/>
	<h5>How it works</h5>
	According to <span class="bold">Joomla! modules system</span>, a template offering a certain set of positions block can get <span class="bold">modules assigned to that positions</span>. 
	<br/>
	Every Joomla! templates can have <span class="bold">a set of common named positions</span> but also a
	specific set of <span class="bold">proprietary positions</span>, so it would be <span class="bold">impossible map automatically every available positions block to that used by Responsivizer template.</span>
	Using Modules Manager you can easily check the state of modules and show them in Responsivizer template in different way:
	<ul>
		<li><span class="bold">Copy a module</span> to a native Responsivizer position</li>
		<li><span class="bold">Edit positions associations</span> to map your desktop template positions to native Responsivizer template positions</li>
	</ul> 
	
	<h5>Use case scenario: make mobile available a desktop template module</h5>
	In the image below we can take as an example the first module for 'Logo', that in this case is <span class="bold">assigned to template position named 'position-0',</span>
	that is used by <span class="bold">default Joomla! template 'Beez 20'.</span> 
	<br/>
	<img src="components/com_responsivizer/images/documentation/modulesmanager_makemobile.jpg" alt="template settings"/>
	<br/>
	That position is not used by Responsivizer template, so the unpublished status is showed as a red circle, and below is showed
	a<span class="bold"> button to 'Make mobile'</span> that module.
	<br/>
	Clicking on the button you will be showed a <span class="bold">visual interface</span> to see exactly <span class="bold">what module you are copying</span> and <span class="bold">where you are assigning</span> to mobile template.
	<br/>
	Copying logo module named 'Logo' will result by default to <span class="bold">rename</span> it as 'Responsivizer - Logo' to be <span class="bold">easily identified as new module</span> specific for Responsivizer template native position.
	<br/>
	The site previews showed are:
	<ul>
		<li><span class="bold">Desktop template on left side</span>, how your site is rendered as usual for desktop users</li>
		<li><span class="bold">Responsive mobile template on right side</span>, how your site is rendered for mobile users</li>
	</ul> 
	<span class="bold">Choosing the target position</span> to copy module will let you see <span class="bold">scrolling the preview window </span>to the specific position that will be also <span class="bold">highlighted</span>, so you will be able to see exactly
	<span class="bold">what</span> you are copying and <span class="bold">where</span> it will be visible. 
	Once chosen the parameters simply click 'Confirm' to save and complete operation.
	<br/>
	<img src="components/com_responsivizer/images/documentation/modulesmanager_duplicate.jpg" alt="template settings"/>
	<br/>
	
	<h5>Use case scenario: make desktop template modules available for mobile through positions association</h5>
	Let's say you have <span class="bold">multiple modules</span> published in <span class="bold">'position-0'</span> of Beez 20 template and that 'position-0' is a custom Beez 20 position that <span class="bold">doesn't exist</span> in Responsivizer template.
	You can easily <span class="bold">associate</span> 'position-0' of Beez 20 template to a <span class="bold">native position</span> used by Responsivizer template to <span class="bold">get visible all that modules at once</span>, as if Responsivizer template <span class="bold">had 'position-0' as a template position</span>.
	
	<br/>
	Suppose that you want to place modules assigned to position-0 in Beez 20 inside the block position named 'responsivizer_mainmenu' for mobile template.
	After clicking on <span class="bold">toolbar button 'Positions associations'</span> you will see a list of all <span class="bold">Responsivizer template native modules positions</span>, all prefixed with 'responsivizer_'.
	<br/>
	You can simply <span class="bold">type</span> 'position-0' inside the <span class="bold">field</span> available for native position 'responsivizer_mainmenu' and <span class="bold">click enter to create entry</span>.
	In this way all modules assigned to position 'position-0' for Beez 20 template will be showed inside module block 'responsivizer_mainmenu' for Responsivizer one.
	When finished click the 'Save' button to confirm edited associations between templates positions.
	<br/>
	<img src="components/com_responsivizer/images/documentation/modulesmanager_editpositions.jpg" alt="template settings"/>
	<br/>
	
	<h5>Use case scenario: some modules available in desktop template don't have to be showed for mobile one</h5>
	It's an easy matter of just one-click <span class="bold">avoid that some modules showed in your desktop template being showed also for Responsivizer template.</span>
	This is particular useful to <span class="bold">optmize space</span> on mobile devices that have limited display size. 
	It's recommended to <span class="bold">leave only really needed elements</span> on pages for mobile visitors, so that they <span class="bold">get focused</span> on most important content of page, choosing a subset of desktop elements.
	<br/>
	You can use the switch to exclude modules from mobile template, just change the button value and modules will be immediately excluded.<br/>
	Of course you can also delete a positions associations completely, for example to avoid that all modules assigned to position 'left' for Beez 20 being visible within associated position 'responsivizer_left'.
	<br/>
	
	<h5>Use case scenario: showing modules on mobile template in different position from that inherited from desktop template</h5>
	It could be the case that a module assigned to a position in your desktop template is showed using the mapped position also in mobile template.
	Suppose to have modules assigned to <span class="bold">position named 'left'</span> on your desktop template that is <span class="bold">associated to position named 'responsivizer_left'.</span>
	<br/>
	Now let's assume that you prefer to show a certain set of these modules within the template block 'responsivizer_right'.
	This can be accomplshed easily through Modules Manager following these steps:
	<ul>
		<li>Click 'Yes' on <span class="bold">mobile exclude switcher to exclude the original module from mobile position 'responsivizer_left' that is associated to desktop position 'left'</span> </li>
		<li>The icon 'Mobile available' will be red circle, and the <span class="bold">button 'Make mobile' will appear.</span> This is because the module <span class="bold">has been 'reset'</span>, so <span class="bold">it's excluded from mobile</span> and <span class="bold">ready to become mobile in another position block</span></li>
		<li><span class="bold">Click the icon 'Make mobile'</span> and once you get the duplication screen, you will be able to <span class="bold">republish the module to another preferred Responsivizer native position</span> as explained above</li>
	</ul> 
	
	Once a module has been excluded from mobile based on desktop position and reassigned to a mobile position native for Responsivizer template, the <span class="bold">'Make mobile' button will appear green</span> with a self explaining description.
	This means that this module has already been made mobile and shouldn't need any further duplication for mobile.
	<img src="components/com_responsivizer/images/documentation/modulesmanager_greenicon.jpg" alt="template settings"/>
	<br/>
	
	<h5>Use case scenario: creating modules only for mobile Responsivizer template</h5>
	If you need to create new modules that should be <span class="bold">reserved only for mobile Responsivizer template </span> you should do this as usual using Joomla! modules management, 
	and choosing a <span class="bold">native Responsivizer module position</span>.
	<br/>
	Responsivizer template <span class="bold">uses a predefined set of native modules positions</span> all prefixed by 'responsivizer_', to <span class="bold">avoid collision</span> with all others available Joomla! templates. 
	Assigning modules to Responsivizer native positions is not likely to show them also in the desktop template.
</div>
