<?php 
/** 
 * @package RESPONSIVIZER::SOURCES::administrator::components::com_responsivizer
 * @subpackage views
 * @subpackage help
 * @subpackage tmpl
 * @author Joomla! Extensions Store
 * @copyright (C) 2013 - Joomla! Extensions Store
 * @license GNU/GPLv2 http://www.gnu.org/licenses/gpl-2.0.html  
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' ); 
?>
<div>
Responsivizer implements feature to get advantages of <span class="bold">HTML5 offline cache system</span>, to let your site <span class="bold">still be available also when network connection has been lost by devices</span>.
Since it's frequent issue <span class="bold">lose connection on mobile devices</span>, 
HTML5 specs designated browsers feature to <span class="bold">cache the contents of site visited pages</span> and keep them <span class="bold">locally to device</span> to be <span class="bold">accessible also when connection is not available</span>.

<br />
Thanks to Responsivizer, now you can <span class="bold">choose what pages on your site</span> should be available to be <span class="bold">cached by device browser the first time they are visited</span> during online status.
Of course caching pages on device <span class="bold">requires resources and disk space</span>, so it's recommended to <span class="bold">choose most important pages</span> on your site that should be cached.<br/>
Moreover highly dynamic pages such as blog, forum, news, etc are not the most suitable contents to be cached when offline.

<br/><br/>
But let's suppose that a user needs to <span class="bold">compile a form</span> contained in a certain page with some specific data <span class="bold">examined while he is in a location without connection.</span> 
In this situation it could be precious <span class="bold">having the form available on mobile device</span> to be able to fill in data directly from that offline location, so that they could be <span class="bold">submitted once connection get back</span>.
The page containing the form would be ideal page to be cached for offline status.
<br/>
<br/>
It's important to notice the <span class="bold">status label</span> showed in pages list, that inform you if <span class="bold">offline caching is enabled or disabled globally</span>. 
<br/>
If you disable the main parameter in plugins settings for offline cache,
<span class="bold">caching will be disabled for all pages also if their status is flagged as published</span>. 
Clicking on status label you will be redirected to plugins settings to change global parameter.
 
<img src="components/com_responsivizer/images/documentation/offlinecache.jpg" alt="template settings"/>

<br /><br />
When you create a new page to be cached you will be <span class="bold">asked to select a page</span> from a dropdown containing <span class="bold">all menu items</span>, excluding pages already chosen to be cached.
<br/>
Once selected the menu item you want to be cached click save button to complete operation. 
<br/><br/>
It's important to note that <span class="bold">caching the whole contents of pages</span> to give users full experience as they was online,
include not only page HTML, but <span class="bold">also additional resources</span> as CSS, images and javascript files. 
<br/>So when you create a new page and click save button,
by default <span class="bold">all resources</span> for that page will be fetched and showed in the area below as <span class="bold">cached resources for the page.</span>
<br/><br/>
By default the switchers for files type are all turned on, this means that <span class="bold">all types of resources will be cached in device</span> to offer a full page identical to online version.
If you have page that for example contains a <span class="bold">lot of large images</span>, you could choose to <span class="bold">exclude</span> them from caching to avoid requiring large storing space on devices. 
<br/>
Of course this penalizes users experience when they are offline, showing your cached page without images. The same can be applied to CSS and javascript resources and should be evaluated site by site and page by page,
finding a balance between request device resources and page completeness.
<br/>
In most of cases you can choose to leave all resources active to be cached and ensure optimal users experience.
<br />
<img src="components/com_responsivizer/images/documentation/offlineresources.jpg" alt="template settings"/>

<br/>
