<?php
// namespace administrator\components\com_responsivizer\views\help;
/**
 *
 * @package RESPONSIVIZER::HELP::administrator::components::com_responsivizer
 * @subpackage views
 * @subpackage help
 * @author Joomla! Extensions Store
 * @copyright (C) 2013 - Joomla! Extensions Store
 * @license GNU/GPLv2 http://www.gnu.org/licenses/gpl-2.0.html  
 */
defined ( '_JEXEC' ) or die ( 'Restricted access' );

/**
 * CPanel view
 *
 * @package RESPONSIVIZER::HELP::administrator::components::com_responsivizer
 * @subpackage views
 * @subpackage help
 * @since 1.0
 */
class ResponsivizerViewHelp extends ResponsivizerView {
	/**
	 * Add the page title and toolbar.
	 *
	 * @since	1.6
	 */
	protected function addDisplayToolbar() {
		$doc = JFactory::getDocument();
		$doc->addStyleDeclaration('.icon-48-responsivizer{background-image:url("components/com_responsivizer/images/icon-48-help.png")}');
		$doc->addStyleDeclaration('.icon-32-cpanel{background-image:url("components/com_responsivizer/images/icon-32-cpanel.png")}');
		JToolBarHelper::title( JText::_( 'COM_RESPONSIVIZER_HELP_TOOLBAR' ), 'responsivizer' );
		JToolBarHelper::custom('cpanel.display', 'cpanel', 'cpanel', 'COM_RESPONSIVIZER_CPANEL', false);
	}
	
	/**
	 * Display help and instructions
	 *
	 * @access public
	 * @param string $tpl
	 * @return void
	 */
	public function display($tpl = null) {
		$doc = JFactory::getDocument ();
		$this->loadJQuery($doc);
		$this->loadBootstrap($doc);
		$doc->addStylesheet ( JURI::root ( true ) . '/administrator/components/com_responsivizer/assets/css/help.css' );
	 
		// Aggiunta toolbar
		$this->addDisplayToolbar();

		// Manage partial view
		$partial = JRequest::getVar('partial', false);
		if($partial) {
			$doc->addStyleDeclaration('div#accordion_help img{width:100%}');
		}
		$this->partialTpl = $partial;
		
		// Output del template
		parent::display ();
	}  
}